#
# Make sure that all needed Apache modules are loaded
#
<IfModule !log_config_module>
    # BufferedLogs / CookieLog / CustomLog / LogFormat / TransferLog
    LoadModule log_config_module modules/mod_log_config.so
    # RotateLogs / RotateLogsLocalTime / RotateInterval
    LoadModule log_rotate_module modules/mod_log_rotate.so
    RotateLogs On
    RotateLogsLocalTime On
</IfModule>


#
# Bind to IP address(es) and/or port(s)
#
#@Listen
Listen 80


#
# Virtual host configuration
#
#@VirtualHost
<VirtualHost *:80>

    #
    # Basic server configuration
    #
    #ServerAdmin webmaster@host.example.com
    #ServerName  www.example.com


    #
    # Individual server configurations
    #
    DocumentRoot "/nv_web/htdocs"

    DirectoryIndex index.php

    <Directory "/nv_web/htdocs">
        # Only allow CGIs (FastCGI)
        Options ExecCGI
        # Disable ".htaccess"
        AllowOverride None
        # Allow access for everyone
        Order Allow,Deny
        Allow from all
        # Log request to generic log
        SetEnv loggen
    </Directory>

    LogLevel warn
    ErrorLog "||../bin/cronolog.exe ../logs/nvwsvr_web7_error_%Y%m%d.log"

    <IfModule !deflate_module>
        LogFormat "%{[%a %b %d %H:%M:%S %Y]}t %u [client %h] \"%r\" %>s %b" common
        LogFormat "%{[%a %b %d %H:%M:%S %Y]}t %{PHPuser}n [client %h] \"%r\" %>s %b" php
    </IfModule>
    <IfModule deflate_module>
        DeflateFilterNote ratio
        LogFormat "%{[%a %b %d %H:%M:%S %Y]}t %u [client %h] \"%r\" %>s %b (%{ratio}n%%)" common
        LogFormat "%{[%a %b %d %H:%M:%S %Y]}t %{PHPuser}n [client %h] \"%r\" %>s %b (%{ratio}n%%)" php
    </IfModule>
    CustomLog "../logs/nvwsvr_generic_%Y%m%d.log" common env=loggen
    CustomLog "../logs/nvwsvr_web7_access_%Y%m%d.log" php env=logphp


    #
    # Load additional sub configurations into this virtual host
    #
    Include "../conf/vhosts/web7/*_on.conf"

</VirtualHost>
